登录  免费注册
当前位置:首页 > 漏洞详细信息

3S CODESYS WebVisu Web服务器组件堆栈缓冲区溢出漏洞

 关注(0)  
CNVD-ID CNVD-2018-02846
公开日期 2018-02-06
危害级别 高 (AV:N/AC:L/Au:N/C:C/I:C/A:C)
影响产品 3S-Smart Software Solutions CODESYS Web Server <1.1.9.19
CVE ID CVE-2018-5440
漏洞描述 CODESYS是3S-Smart Software Solutions GmbH的核心产品。是一个用于控制器应用和CODESYS Control的 IEC 61131-3发展环境,是有独立运行系统的平台。

3S CODESYS WebVisu Web服务器组件堆栈缓冲区溢出漏洞,攻击者特意制作的Web服务器请求可能会造成缓冲区溢出,进而在Web服务器上执行任意代码,或者导致Web服务器崩溃。
参考链接 https://ics-cert.us-cert.gov/advisories/ICSA-18-032-02
漏洞解决方案 目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://customers.codesys.com/fileadmin/data/customers/security/2018/Advisory2018-01_LCDS-282.pdf
厂商补丁 3S CODESYS WebVisu Web服务器组件堆栈缓冲区溢出漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2018-02-06
收录时间 2018-02-06
更新时间 2018-02-06
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论